import RytmWebflow from 'rytm-webflow'
import { trace } from 'rytm-helpers'
// import { WCAG } from "rytm-wcag"
// controllers
import Controller from './controllers/Controller'
// views
import View from './views/View'

const routes = {
  'default': {
    controller: Controller,
    view: View
  },
}

const aswapProps = {
  animationTimeHide: 800,
  animationTimeShow: 800,
  preloadOnHover: false,
  cacheOn: true,
  routes,
  trace,
}
const aswapEvents = {
  onViewSwapComplete: () => {
    // WCAG.onViewChanged()
  },
  onViewHide: () => {
    // eg. close menu...
    // document.documentElement.classList.remove('menu-open')
  }
}

export const initASwap = () => {
  RytmWebflow.aswap.init(aswapProps, aswapEvents)
}